Index: examples/Example3.C
===================================================================
--- examples/Example3.C	(revision 282f59119f5cbe8b00175d73f8dcd95e522911ae)
+++ examples/Example3.C	(revision 7047bc4bcad6a8b253bafeee8c01f6c17ae39c29)
@@ -95,4 +95,7 @@
   TClonesArray *branchPhoton = treeReader->UseBranch("Photon");
   TClonesArray *branchMuon = treeReader->UseBranch("Muon");
+
+  TClonesArray *branchTrack = treeReader->UseBranch("Track");
+  TClonesArray *branchTower = treeReader->UseBranch("Tower");
 
   TClonesArray *branchEFlowTrack = treeReader->UseBranch("EFlowTrack");
@@ -167,7 +170,7 @@
 
     // Loop over all tracks in event
-    for(i = 0; i < branchEFlowTrack->GetEntriesFast(); ++i)
-    {
-      track = (Track*) branchEFlowTrack->At(i);
+    for(i = 0; i < branchTrack->GetEntriesFast(); ++i)
+    {
+      track = (Track*) branchTrack->At(i);
       particle = (GenParticle*) track->Particle.GetObject();
 
@@ -197,21 +200,25 @@
         if(object->IsA() == GenParticle::Class())
         {
-          cout<<"    GenPart pt: "<<((GenParticle*) object)->PT<<", eta: "<<((GenParticle*) object)->Eta<<", phi: "<<((GenParticle*) object)->Phi<<endl;
-          momentum += ((GenParticle*) object)->P4();
+          particle = (GenParticle*) object;
+          cout << "    GenPart pt: " << particle->PT << ", eta: " << particle->Eta << ", phi: " << particle->Phi << endl;
+          momentum += particle->P4();
         }
         else if(object->IsA() == Track::Class())
         {
-          cout<<"    Track pt: "<<((Track*) object)->PT<<", eta: "<<((Track*) object)->Eta<<", phi: "<<((Track*) object)->Phi<<endl;
-          momentum += ((Track*) object)->P4();
+          track = (Track*) object;
+          cout << "    Track pt: " << track->PT << ", eta: " << track->Eta << ", phi: " << track->Phi << endl;
+          momentum += track->P4();
         }
         else if(object->IsA() == Tower::Class())
         {
-          cout<<"    Tower pt: "<<((Tower*) object)->ET<<", eta: "<<((Tower*) object)->Eta<<", phi: "<<((Tower*) object)->Phi<<endl;
-          momentum += ((Tower*) object)->P4();
+          tower = (Tower*) object;
+          cout << "    Tower pt: " << tower->ET << ", eta: " << tower->Eta << ", phi: " << tower->Phi << endl;
+          momentum += tower->P4();
         }
         else if(object->IsA() == Muon::Class())
         {
-          cout<<"    Muon pt: "<<((Muon*) object)->PT<<", eta: "<<((Muon*) object)->Eta<<", phi: "<<((Muon*) object)->Phi<<endl;
-          momentum += ((Muon*) object)->P4();
+          muon = (Muon*) object;
+          cout << "    Muon pt: " << muon->PT << ", eta: " << muon->Eta << ", phi: " << muon->Phi << endl;
+          momentum += muon->P4();
         }
       }
Index: examples/delphes_card_ATLAS.tcl
===================================================================
--- examples/delphes_card_ATLAS.tcl	(revision 282f59119f5cbe8b00175d73f8dcd95e522911ae)
+++ examples/delphes_card_ATLAS.tcl	(revision 7047bc4bcad6a8b253bafeee8c01f6c17ae39c29)
@@ -530,10 +530,10 @@
   add Branch Delphes/allParticles Particle GenParticle
 
-#  add Branch TrackMerger/tracks Track Track
-#  add Branch Calorimeter/towers Tower Tower
-
-#  add Branch Calorimeter/eflowTracks EFlowTrack Track
-#  add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
-#  add Branch Calorimeter/eflowNeutralHadrons EFlowNeutralHadron Tower
+  add Branch TrackMerger/tracks Track Track
+  add Branch Calorimeter/towers Tower Tower
+
+  add Branch Calorimeter/eflowTracks EFlowTrack Track
+  add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
+  add Branch Calorimeter/eflowNeutralHadrons EFlowNeutralHadron Tower
 
   add Branch GenJetFinder/jets GenJet Jet
Index: examples/delphes_card_CMS.tcl
===================================================================
--- examples/delphes_card_CMS.tcl	(revision 282f59119f5cbe8b00175d73f8dcd95e522911ae)
+++ examples/delphes_card_CMS.tcl	(revision 7047bc4bcad6a8b253bafeee8c01f6c17ae39c29)
@@ -542,10 +542,10 @@
   add Branch Delphes/allParticles Particle GenParticle
 
-#  add Branch TrackMerger/tracks Track Track
-#  add Branch Calorimeter/towers Tower Tower
-
-#  add Branch Calorimeter/eflowTracks EFlowTrack Track
-#  add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
-#  add Branch Calorimeter/eflowNeutralHadrons EFlowNeutralHadron Tower
+  add Branch TrackMerger/tracks Track Track
+  add Branch Calorimeter/towers Tower Tower
+
+  add Branch Calorimeter/eflowTracks EFlowTrack Track
+  add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
+  add Branch Calorimeter/eflowNeutralHadrons EFlowNeutralHadron Tower
 
   add Branch GenJetFinder/jets GenJet Jet