Index: cards/CLIC/CLICdet_BTagging.tcl
===================================================================
--- cards/CLIC/CLICdet_BTagging.tcl	(revision 87ae89260960dcd62eaa05b8519b3f3e6701bfca)
+++ cards/CLIC/CLICdet_BTagging.tcl	(revision 7847cffe333a887751ab947a71866e1c9c64c98e)
@@ -10,375 +10,375 @@
 	# based on CLICdp-Note-2014-002
 
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R05N2 {
 	set JetInputArray FastJetFinderVLC_R05_N2/VLCjetsR05N2
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R05N2 {
 	set JetInputArray FastJetFinderVLC_R05_N2/VLCjetsR05N2
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R05N3 {
 	set JetInputArray FastJetFinderVLC_R05_N3/VLCjetsR05N3
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R05N3 {
 	set JetInputArray FastJetFinderVLC_R05_N3/VLCjetsR05N3
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R05N3 {
 	set JetInputArray FastJetFinderVLC_R05_N3/VLCjetsR05N3
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R05N4 {
 	set JetInputArray FastJetFinderVLC_R05_N4/VLCjetsR05N4
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R05N4 {
 	set JetInputArray FastJetFinderVLC_R05_N4/VLCjetsR05N4
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R05N4 {
 	set JetInputArray FastJetFinderVLC_R05_N4/VLCjetsR05N4
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R05N5 {
 	set JetInputArray FastJetFinderVLC_R05_N5/VLCjetsR05N5
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R05N5 {
 	set JetInputArray FastJetFinderVLC_R05_N5/VLCjetsR05N5
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R05N5 {
 	set JetInputArray FastJetFinderVLC_R05_N5/VLCjetsR05N5
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R05N6 {
 	set JetInputArray FastJetFinderVLC_R05_N6/VLCjetsR05N6
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R05N6 {
 	set JetInputArray FastJetFinderVLC_R05_N6/VLCjetsR05N6
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R05N6 {
 	set JetInputArray FastJetFinderVLC_R05_N6/VLCjetsR05N6
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R07N2 {
 	set JetInputArray FastJetFinderVLC_R07_N2/VLCjetsR07N2
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R07N2 {
 	set JetInputArray FastJetFinderVLC_R07_N2/VLCjetsR07N2
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R07N2 {
 	set JetInputArray FastJetFinderVLC_R07_N2/VLCjetsR07N2
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R07N3 {
 	set JetInputArray FastJetFinderVLC_R07_N3/VLCjetsR07N3
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R07N3 {
 	set JetInputArray FastJetFinderVLC_R07_N3/VLCjetsR07N3
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R07N3 {
 	set JetInputArray FastJetFinderVLC_R07_N3/VLCjetsR07N3
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R07N4 {
 	set JetInputArray FastJetFinderVLC_R07_N4/VLCjetsR07N4
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R07N4 {
 	set JetInputArray FastJetFinderVLC_R07_N4/VLCjetsR07N4
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R07N4 {
 	set JetInputArray FastJetFinderVLC_R07_N4/VLCjetsR07N4
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R07N5 {
 	set JetInputArray FastJetFinderVLC_R07_N5/VLCjetsR07N5
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R07N5 {
 	set JetInputArray FastJetFinderVLC_R07_N5/VLCjetsR07N5
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R07N5 {
 	set JetInputArray FastJetFinderVLC_R07_N5/VLCjetsR07N5
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R07N6 {
 	set JetInputArray FastJetFinderVLC_R07_N6/VLCjetsR07N6
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R07N6 {
 	set JetInputArray FastJetFinderVLC_R07_N6/VLCjetsR07N6
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R07N6 {
 	set JetInputArray FastJetFinderVLC_R07_N6/VLCjetsR07N6
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R10N2 {
 	set JetInputArray FastJetFinderVLC_R10_N2/VLCjetsR10N2
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R10N2 {
 	set JetInputArray FastJetFinderVLC_R10_N2/VLCjetsR10N2
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R10N2 {
 	set JetInputArray FastJetFinderVLC_R10_N2/VLCjetsR10N2
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R10N3 {
 	set JetInputArray FastJetFinderVLC_R10_N3/VLCjetsR10N3
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R10N3 {
 	set JetInputArray FastJetFinderVLC_R10_N3/VLCjetsR10N3
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R10N3 {
 	set JetInputArray FastJetFinderVLC_R10_N3/VLCjetsR10N3
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R10N4 {
 	set JetInputArray FastJetFinderVLC_R10_N4/VLCjetsR10N4
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R10N4 {
 	set JetInputArray FastJetFinderVLC_R10_N4/VLCjetsR10N4
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R10N4 {
 	set JetInputArray FastJetFinderVLC_R10_N4/VLCjetsR10N4
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R10N5 {
 	set JetInputArray FastJetFinderVLC_R10_N5/VLCjetsR10N5
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R10N5 {
 	set JetInputArray FastJetFinderVLC_R10_N5/VLCjetsR10N5
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R10N5 {
 	set JetInputArray FastJetFinderVLC_R10_N5/VLCjetsR10N5
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R10N6 {
 	set JetInputArray FastJetFinderVLC_R10_N6/VLCjetsR10N6
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R10N6 {
 	set JetInputArray FastJetFinderVLC_R10_N6/VLCjetsR10N6
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R10N6 {
 	set JetInputArray FastJetFinderVLC_R10_N6/VLCjetsR10N6
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R12N2 {
 	set JetInputArray FastJetFinderVLC_R12_N2/VLCjetsR12N2
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R12N2 {
 	set JetInputArray FastJetFinderVLC_R12_N2/VLCjetsR12N2
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R12N2 {
 	set JetInputArray FastJetFinderVLC_R12_N2/VLCjetsR12N2
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R12N3 {
 	set JetInputArray FastJetFinderVLC_R12_N3/VLCjetsR12N3
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R12N3 {
 	set JetInputArray FastJetFinderVLC_R12_N3/VLCjetsR12N3
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R12N3 {
 	set JetInputArray FastJetFinderVLC_R12_N3/VLCjetsR12N3
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R12N4 {
 	set JetInputArray FastJetFinderVLC_R12_N4/VLCjetsR12N4
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R12N4 {
 	set JetInputArray FastJetFinderVLC_R12_N4/VLCjetsR12N4
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R12N4 {
 	set JetInputArray FastJetFinderVLC_R12_N4/VLCjetsR12N4
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R12N5 {
 	set JetInputArray FastJetFinderVLC_R12_N5/VLCjetsR12N5
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R12N5 {
 	set JetInputArray FastJetFinderVLC_R12_N5/VLCjetsR12N5
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R12N5 {
 	set JetInputArray FastJetFinderVLC_R12_N5/VLCjetsR12N5
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R12N6 {
 	set JetInputArray FastJetFinderVLC_R12_N6/VLCjetsR12N6
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R12N6 {
 	set JetInputArray FastJetFinderVLC_R12_N6/VLCjetsR12N6
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R12N6 {
 	set JetInputArray FastJetFinderVLC_R12_N6/VLCjetsR12N6
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R15N2 {
 	set JetInputArray FastJetFinderVLC_R15_N2/VLCjetsR15N2
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R15N2 {
 	set JetInputArray FastJetFinderVLC_R15_N2/VLCjetsR15N2
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R15N2 {
 	set JetInputArray FastJetFinderVLC_R15_N2/VLCjetsR15N2
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R15N3 {
 	set JetInputArray FastJetFinderVLC_R15_N3/VLCjetsR15N3
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R15N3 {
 	set JetInputArray FastJetFinderVLC_R15_N3/VLCjetsR15N3
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R15N3 {
 	set JetInputArray FastJetFinderVLC_R15_N3/VLCjetsR15N3
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R15N4 {
 	set JetInputArray FastJetFinderVLC_R15_N4/VLCjetsR15N4
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R15N4 {
 	set JetInputArray FastJetFinderVLC_R15_N4/VLCjetsR15N4
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R15N4 {
 	set JetInputArray FastJetFinderVLC_R15_N4/VLCjetsR15N4
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R15N5 {
 	set JetInputArray FastJetFinderVLC_R15_N5/VLCjetsR15N5
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R15N5 {
 	set JetInputArray FastJetFinderVLC_R15_N5/VLCjetsR15N5
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R15N5 {
 	set JetInputArray FastJetFinderVLC_R15_N5/VLCjetsR15N5
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R15N6 {
 	set JetInputArray FastJetFinderVLC_R15_N6/VLCjetsR15N6
 	set BitNumber 0
-	source CLICdet/CLICdet_BTag_50.tcl
+	source CLIC/CLICdet_BTag_50.tcl
 }
 module BTagging BTaggingWP70_R15N6 {
 	set JetInputArray FastJetFinderVLC_R15_N6/VLCjetsR15N6
 	set BitNumber 1
-	source CLICdet/CLICdet_BTag_70.tcl
+	source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R15N6 {
 	set JetInputArray FastJetFinderVLC_R15_N6/VLCjetsR15N6
 	set BitNumber 2
-	source CLICdet/CLICdet_BTag_90.tcl
+	source CLIC/CLICdet_BTag_90.tcl
 }
 
@@ -390,74 +390,74 @@
  set JetInputArray FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                         
  set BitNumber 0                                                                               
- source CLICdet/CLICdet_BTag_50.tcl                                                                    
+ source CLIC/CLICdet_BTag_50.tcl                                                                    
  }                                                                                             
 module BTagging BTaggingWP70_R05_inclusive {                                                   
  set JetInputArray FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                         
  set BitNumber 1                                                                               
- source CLICdet/CLICdet_BTag_70.tcl                                                                    
+ source CLIC/CLICdet_BTag_70.tcl                                                                    
 }                                                                                              
 module BTagging BTaggingWP90_R05_inclusive {                                                   
  set JetInputArray FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                         
  set BitNumber 2                                                                               
- source CLICdet/CLICdet_BTag_90.tcl                                                                    
+ source CLIC/CLICdet_BTag_90.tcl                                                                    
 }                                                                                              
 module BTagging BTaggingWP50_R07_inclusive {                                                   
  set JetInputArray FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                         
  set BitNumber 0                                                                               
- source CLICdet/CLICdet_BTag_50.tcl                                                                    
+ source CLIC/CLICdet_BTag_50.tcl                                                                    
  }                                                                                             
 module BTagging BTaggingWP70_R07_inclusive {                                                   
  set JetInputArray FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                         
  set BitNumber 1                                                                               
- source CLICdet/CLICdet_BTag_70.tcl                                                                    
+ source CLIC/CLICdet_BTag_70.tcl                                                                    
 }                                                                                              
 module BTagging BTaggingWP90_R07_inclusive {                                                   
  set JetInputArray FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                         
  set BitNumber 2                                                                               
- source CLICdet/CLICdet_BTag_90.tcl                                                                    
+ source CLIC/CLICdet_BTag_90.tcl                                                                    
 }                                                                                              
 module BTagging BTaggingWP50_R10_inclusive {                                                   
  set JetInputArray FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive                         
  set BitNumber 0                                                                               
- source CLICdet/CLICdet_BTag_50.tcl                                                                    
+ source CLIC/CLICdet_BTag_50.tcl                                                                    
  }                                                                                             
 module BTagging BTaggingWP70_R10_inclusive {                                                   
  set JetInputArray FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive                         
  set BitNumber 1                                                                               
- source CLICdet/CLICdet_BTag_70.tcl                                                                    
+ source CLIC/CLICdet_BTag_70.tcl                                                                    
 }
 module BTagging BTaggingWP90_R10_inclusive {
  set JetInputArray FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive
  set BitNumber 2
- source CLICdet/CLICdet_BTag_90.tcl
+ source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R12_inclusive {
  set JetInputArray FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive
  set BitNumber 0
- source CLICdet/CLICdet_BTag_50.tcl
+ source CLIC/CLICdet_BTag_50.tcl
  }
 module BTagging BTaggingWP70_R12_inclusive {
  set JetInputArray FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive
  set BitNumber 1
- source CLICdet/CLICdet_BTag_70.tcl
+ source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R12_inclusive {
  set JetInputArray FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive
  set BitNumber 2
- source CLICdet/CLICdet_BTag_90.tcl
+ source CLIC/CLICdet_BTag_90.tcl
 }
 module BTagging BTaggingWP50_R15_inclusive {
  set JetInputArray FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive
  set BitNumber 0
- source CLICdet/CLICdet_BTag_50.tcl
+ source CLIC/CLICdet_BTag_50.tcl
  }
 module BTagging BTaggingWP70_R15_inclusive {
  set JetInputArray FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive
  set BitNumber 1
- source CLICdet/CLICdet_BTag_70.tcl
+ source CLIC/CLICdet_BTag_70.tcl
 }
 module BTagging BTaggingWP90_R15_inclusive {
  set JetInputArray FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive
  set BitNumber 2
- source CLICdet/CLICdet_BTag_90.tcl
-}
+ source CLIC/CLICdet_BTag_90.tcl
+}
Index: cards/delphes_card_CLICdet_Stage1.tcl
===================================================================
--- cards/delphes_card_CLICdet_Stage1.tcl	(revision 87ae89260960dcd62eaa05b8519b3f3e6701bfca)
+++ cards/delphes_card_CLICdet_Stage1.tcl	(revision 7847cffe333a887751ab947a71866e1c9c64c98e)
@@ -954,5 +954,5 @@
 
 
-source CLICdet/CLICdet_JetReco.tcl
+source CLIC/CLICdet_JetReco.tcl
 
 
@@ -961,5 +961,5 @@
 ########################
 
-source  CLICdet/CLICdet_JetFlavorAssociation.tcl
+source  CLIC/CLICdet_JetFlavorAssociation.tcl
 
 ###########
@@ -968,5 +968,5 @@
 # based on CLICdp-Note-2014-002    
 
-source  CLICdet/CLICdet_BTagging.tcl
+source  CLIC/CLICdet_BTagging.tcl
 
 
@@ -976,5 +976,5 @@
 # based on LCD-2010-009
 
-source CLICdet/CLICdet_TauTagging.tcl
+source CLIC/CLICdet_TauTagging.tcl
 
 
Index: cards/delphes_card_CLICdet_Stage2.tcl
===================================================================
--- cards/delphes_card_CLICdet_Stage2.tcl	(revision 87ae89260960dcd62eaa05b8519b3f3e6701bfca)
+++ cards/delphes_card_CLICdet_Stage2.tcl	(revision 7847cffe333a887751ab947a71866e1c9c64c98e)
@@ -1016,5 +1016,5 @@
 
 
-source CLICdet/CLICdet_JetReco.tcl
+source CLIC/CLICdet_JetReco.tcl
 
 
@@ -1035,5 +1035,5 @@
 
 
-source CLICdet/CLICdet_JetSmearing_1500.tcl
+source CLIC/CLICdet_JetSmearing_1500.tcl
 
 #########################################
@@ -1041,5 +1041,5 @@
 #########################################
 
-source CLICdet/CLICdet_JetScale_1500.tcl
+source CLIC/CLICdet_JetScale_1500.tcl
 
 
@@ -1050,5 +1050,5 @@
 ########################
 
-source  CLICdet/CLICdet_JetFlavorAssociation.tcl
+source  CLIC/CLICdet_JetFlavorAssociation.tcl
 
 ###########
@@ -1057,5 +1057,5 @@
 # based on CLICdp-Note-2014-002    
 
-source  CLICdet/CLICdet_BTagging.tcl
+source  CLIC/CLICdet_BTagging.tcl
 
 
@@ -1065,5 +1065,5 @@
 # based on LCD-2010-009
 
-source CLICdet/CLICdet_TauTagging.tcl
+source CLIC/CLICdet_TauTagging.tcl
 
 
Index: cards/delphes_card_CLICdet_Stage3.tcl
===================================================================
--- cards/delphes_card_CLICdet_Stage3.tcl	(revision 87ae89260960dcd62eaa05b8519b3f3e6701bfca)
+++ cards/delphes_card_CLICdet_Stage3.tcl	(revision 7847cffe333a887751ab947a71866e1c9c64c98e)
@@ -1017,5 +1017,5 @@
 
 
-source CLICdet/CLICdet_JetReco.tcl
+source CLIC/CLICdet_JetReco.tcl
 
 
@@ -1025,5 +1025,5 @@
 
 
-source CLICdet/CLICdet_JetSmearing.tcl
+source CLIC/CLICdet_JetSmearing.tcl
 
 #########################################
@@ -1031,5 +1031,5 @@
 #########################################
 
-source CLICdet/CLICdet_JetScale.tcl
+source CLIC/CLICdet_JetScale.tcl
 
 
@@ -1040,5 +1040,5 @@
 ########################
 
-source  CLICdet/CLICdet_JetFlavorAssociation.tcl
+source  CLIC/CLICdet_JetFlavorAssociation.tcl
 
 ###########
@@ -1047,5 +1047,5 @@
 # based on CLICdp-Note-2014-002    
 
-source  CLICdet/CLICdet_BTagging.tcl
+source  CLIC/CLICdet_BTagging.tcl
 
 
@@ -1055,5 +1055,5 @@
 # based on LCD-2010-009
 
-source CLICdet/CLICdet_TauTagging.tcl
+source CLIC/CLICdet_TauTagging.tcl
 
 