Index: cards/delphes_card_ATLAS.tcl
===================================================================
--- cards/delphes_card_ATLAS.tcl	(revision c04eb8ae386ce1fbdcf5d721a9566d971f11bff2)
+++ cards/delphes_card_ATLAS.tcl	(revision 8624f5879f05a7c0dbdd06ebb0f7c194057ddc5a)
@@ -207,9 +207,9 @@
   set PhotonOutputArray photons
 
-  set EcalTowerMinEnergy 0.50
-  set HcalTowerMinEnergy 1.00
-
-  set EcalTowerMinSignificance 1.0
-  set HcalTowerMinSignificance 1.0
+  set ECalMinEnergy 0.50
+  set HCalMinEnergy 1.00
+
+  set ECalMinSignificance 1.0
+  set HCalMinSignificance 1.0
   
   set EFlowTrackOutputArray eflowTracks
Index: cards/delphes_card_ATLAS_PileUp.tcl
===================================================================
--- cards/delphes_card_ATLAS_PileUp.tcl	(revision c04eb8ae386ce1fbdcf5d721a9566d971f11bff2)
+++ cards/delphes_card_ATLAS_PileUp.tcl	(revision 8624f5879f05a7c0dbdd06ebb0f7c194057ddc5a)
@@ -249,9 +249,9 @@
   set PhotonOutputArray photons
 
-  set EcalTowerMinEnergy 0.50
-  set HcalTowerMinEnergy 1.00
-
-  set EcalTowerMinSignificance 1.0
-  set HcalTowerMinSignificance 1.0
+  set ECalMinEnergy 0.50
+  set HCalMinEnergy 1.00
+
+  set ECalMinSignificance 1.0
+  set HCalMinSignificance 1.0
 
   set EFlowTrackOutputArray eflowTracks
Index: cards/delphes_card_CMS.tcl
===================================================================
--- cards/delphes_card_CMS.tcl	(revision c04eb8ae386ce1fbdcf5d721a9566d971f11bff2)
+++ cards/delphes_card_CMS.tcl	(revision 8624f5879f05a7c0dbdd06ebb0f7c194057ddc5a)
@@ -212,9 +212,9 @@
   set PhotonOutputArray photons
 
-  set EcalTowerMinEnergy 0.5
-  set HcalTowerMinEnergy 1.0
-
-  set EcalTowerMinSignificance 1.0
-  set HcalTowerMinSignificance 1.0
+  set ECalMinEnergy 0.5
+  set HCalMinEnergy 1.0
+
+  set ECalMinSignificance 1.0
+  set HCalMinSignificance 1.0
    
   set EFlowTrackOutputArray eflowTracks
Index: cards/delphes_card_CMS_NoFastJet.tcl
===================================================================
--- cards/delphes_card_CMS_NoFastJet.tcl	(revision c04eb8ae386ce1fbdcf5d721a9566d971f11bff2)
+++ cards/delphes_card_CMS_NoFastJet.tcl	(revision 8624f5879f05a7c0dbdd06ebb0f7c194057ddc5a)
@@ -186,9 +186,9 @@
   set PhotonOutputArray photons
 
-  set EcalTowerMinEnergy 0.5
-  set HcalTowerMinEnergy 1.0
-
-  set EcalTowerMinSignificance 1.0
-  set HcalTowerMinSignificance 1.0
+  set ECalMinEnergy 0.5
+  set HCalMinEnergy 1.0
+
+  set ECalMinSignificance 1.0
+  set HCalMinSignificance 1.0
    
   set EFlowTrackOutputArray eflowTracks
Index: cards/delphes_card_CMS_PileUp.tcl
===================================================================
--- cards/delphes_card_CMS_PileUp.tcl	(revision c04eb8ae386ce1fbdcf5d721a9566d971f11bff2)
+++ cards/delphes_card_CMS_PileUp.tcl	(revision 8624f5879f05a7c0dbdd06ebb0f7c194057ddc5a)
@@ -255,9 +255,9 @@
   set PhotonOutputArray photons
 
-  set EcalTowerMinEnergy 0.5
-  set HcalTowerMinEnergy 1.0
-
-  set EcalTowerMinSignificance 1.0
-  set HcalTowerMinSignificance 1.0
+  set ECalMinEnergy 0.5
+  set HCalMinEnergy 1.0
+
+  set ECalMinSignificance 1.0
+  set HCalMinSignificance 1.0
 
   set EFlowTrackOutputArray eflowTracks
Index: cards/delphes_card_FCC_basic.tcl
===================================================================
--- cards/delphes_card_FCC_basic.tcl	(revision c04eb8ae386ce1fbdcf5d721a9566d971f11bff2)
+++ cards/delphes_card_FCC_basic.tcl	(revision 8624f5879f05a7c0dbdd06ebb0f7c194057ddc5a)
@@ -18,6 +18,6 @@
   ImpactParameterSmearing
   
-  Ecal
-  Hcal
+  ECal
+  HCal
   
   TowerMerger
@@ -219,5 +219,5 @@
 #############
 
-module SimpleCalorimeter Ecal {
+module SimpleCalorimeter ECal {
   set ParticleInputArray ParticlePropagator/stableParticles
   set TrackInputArray ImpactParameterSmearing/tracks
@@ -281,5 +281,5 @@
 #############
 
-module SimpleCalorimeter Hcal {
+module SimpleCalorimeter HCal {
   set ParticleInputArray ParticlePropagator/stableParticles
   set TrackInputArray ImpactParameterSmearing/tracks
@@ -346,6 +346,6 @@
 module Merger TowerMerger {
 # add InputArray InputArray
-  add InputArray Ecal/ecalTowers
-  add InputArray Hcal/hcalTowers
+  add InputArray ECal/ecalTowers
+  add InputArray HCal/hcalTowers
   set OutputArray towers
 }
@@ -358,6 +358,6 @@
 # add InputArray InputArray
   add InputArray ImpactParameterSmearing/tracks
-  add InputArray Ecal/eflowPhotons
-  add InputArray Hcal/eflowNeutralHadrons
+  add InputArray ECal/eflowPhotons
+  add InputArray HCal/eflowNeutralHadrons
   set OutputArray eflow
 }
@@ -512,6 +512,6 @@
   
   add Branch ChargedHadronMomentumSmearing/chargedHadrons ChargedHadron Track
-  add Branch Hcal/eflowNeutralHadrons NeutralHadron Tower
-  add Branch Ecal/eflowPhotons Photon Photon
+  add Branch HCal/eflowNeutralHadrons NeutralHadron Tower
+  add Branch ECal/eflowPhotons Photon Photon
 
   add Branch ElectronEnergySmearing/electrons Electron Electron
Index: cards/delphes_card_LHCb.tcl
===================================================================
--- cards/delphes_card_LHCb.tcl	(revision c04eb8ae386ce1fbdcf5d721a9566d971f11bff2)
+++ cards/delphes_card_LHCb.tcl	(revision 8624f5879f05a7c0dbdd06ebb0f7c194057ddc5a)
@@ -20,6 +20,6 @@
   IdentificationMap
   
-  Ecal
-  Hcal
+  ECal
+  HCal
 
   TreeWriter
@@ -217,5 +217,5 @@
 #############
 
-module SimpleCalorimeter Ecal {
+module SimpleCalorimeter ECal {
   set ParticleInputArray ParticlePropagator/stableParticles
   set TrackInputArray IdentificationMap/tracks
@@ -292,5 +292,5 @@
 #############
 
-module SimpleCalorimeter Hcal {
+module SimpleCalorimeter HCal {
   set ParticleInputArray ParticlePropagator/stableParticles
   set TrackInputArray IdentificationMap/tracks
@@ -369,7 +369,7 @@
 
   add Branch IdentificationMap/tracks Track Track
-  add Branch Hcal/eflowNeutralHadrons NeutralHadron Tower
-  add Branch Ecal/eflowPhotons Photon Photon
- 
-}
-
+  add Branch HCal/eflowNeutralHadrons NeutralHadron Tower
+  add Branch ECal/eflowPhotons Photon Photon
+ 
+}
+
Index: modules/Calorimeter.cc
===================================================================
--- modules/Calorimeter.cc	(revision c04eb8ae386ce1fbdcf5d721a9566d971f11bff2)
+++ modules/Calorimeter.cc	(revision 8624f5879f05a7c0dbdd06ebb0f7c194057ddc5a)
@@ -145,4 +145,5 @@
     fFractionMap[param[i*2].GetInt()] = make_pair(ecalFraction, hcalFraction);
   }
+
 /*
   TFractionMap::iterator itFractionMap;
@@ -154,10 +155,12 @@
 
   // read min E value for towers to be saved
-  fEcalEnergyMin = GetDouble("EcalTowerMinEnergy", 0.0);
-  fHcalEnergyMin = GetDouble("HcalTowerMinEnergy", 0.0);
-
-  fEcalSigmaMin  = GetDouble("EcalTowerMinSignificance", 0.0);
-  fHcalSigmaMin  = GetDouble("HcalTowerMinSignificance", 0.0);
-
+  fECalEnergyMin = GetDouble("ECalMinEnergy", 0.0);
+  fHCalEnergyMin = GetDouble("HCalMinEnergy", 0.0);
+
+  fECalSigmaMin  = GetDouble("ECalMinSignificance", 0.0);
+  fHCalSigmaMin  = GetDouble("HCalMinSignificance", 0.0);
+
+  // switch on or off the dithering of the center of calorimeter towers
+  fDitherTowerCenter = GetBool("DitherTowerCenter", true);
 
   // read resolution formulas
@@ -180,5 +183,4 @@
   fEFlowNeutralHadronOutputArray = ExportArray(GetString("EFlowNeutralHadronOutputArray", "eflowNeutralHadrons"));
 
-  fDitherTowerCenter = GetBool("DitherTowerCenter", true);
 }
 
@@ -440,13 +442,6 @@
 
   if(!fTower) return;
-//  cout<<"----------------------"<<endl;
-//  cout<<"Finalize Tower"<<endl;
-//  cout<<""<<endl;
-
 
   ecalSigma = fECalResolutionFormula->Eval(0.0, fTowerEta, 0.0, fTowerECalEnergy);
-
-//  ecalEnergy = gRandom->Gaus(fTowerECalEnergy, ecalSigma);
-//  if(ecalEnergy < 0.0) ecalEnergy = 0.0;
 
   ecalEnergy = LogNormal(fTowerECalEnergy, ecalSigma);
@@ -455,7 +450,4 @@
   hcalSigma = fHCalResolutionFormula->Eval(0.0, fTowerEta, 0.0, fTowerHCalEnergy);
 
-//  hcalEnergy = gRandom->Gaus(fTowerHCalEnergy, hcalSigma);
-//  if(hcalEnergy < 0.0) hcalEnergy = 0.0;
-
   hcalEnergy = LogNormal(fTowerHCalEnergy, hcalSigma);
   hcalTime = (fTowerHCalWeightTime < 1.0E-09 ) ? 0 : fTowerHCalTime/fTowerHCalWeightTime;
@@ -465,6 +457,6 @@
   hcalSigma = fHCalResolutionFormula->Eval(0.0, fTowerEta, 0.0, hcalEnergy);
 
-  ecalEnergy = (ecalEnergy < fEcalEnergyMin || ecalEnergy < fEcalSigmaMin*ecalSigma) ? 0 : ecalEnergy;
-  hcalEnergy = (hcalEnergy < fHcalEnergyMin || hcalEnergy < fHcalSigmaMin*hcalSigma) ? 0 : hcalEnergy;
+  ecalEnergy = (ecalEnergy < fECalEnergyMin || ecalEnergy < fECalSigmaMin*ecalSigma) ? 0 : ecalEnergy;
+  hcalEnergy = (hcalEnergy < fHCalEnergyMin || hcalEnergy < fHCalSigmaMin*hcalSigma) ? 0 : hcalEnergy;
 
   energy = ecalEnergy + hcalEnergy;
@@ -484,5 +476,4 @@
   pt = energy / TMath::CosH(eta);
 
- // fTower->Position.SetXYZT(-time, 0.0, 0.0, time);
   fTower->Position.SetPtEtaPhiE(1.0, eta, phi, time);
   fTower->Momentum.SetPtEtaPhiE(pt, eta, phi, energy);
@@ -515,8 +506,8 @@
 
   ecalEnergy -= fTrackECalEnergy;
-  if(ecalEnergy < fEcalEnergyMin || ecalEnergy < fEcalSigmaMin*fECalResolutionFormula->Eval(0.0, fTowerEta, 0.0, ecalEnergy)) ecalEnergy = 0.0;
+  if(ecalEnergy < fECalEnergyMin || ecalEnergy < fECalSigmaMin*fECalResolutionFormula->Eval(0.0, fTowerEta, 0.0, ecalEnergy)) ecalEnergy = 0.0;
 
   hcalEnergy -= fTrackHCalEnergy;
-  if(hcalEnergy < fHcalEnergyMin || hcalEnergy < fHcalSigmaMin*fHCalResolutionFormula->Eval(0.0, fTowerEta, 0.0, hcalEnergy)) hcalEnergy = 0.0;
+  if(hcalEnergy < fHCalEnergyMin || hcalEnergy < fHCalSigmaMin*fHCalResolutionFormula->Eval(0.0, fTowerEta, 0.0, hcalEnergy)) hcalEnergy = 0.0;
 
   energy = ecalEnergy + hcalEnergy;
@@ -548,8 +539,4 @@
     fEFlowNeutralHadronOutputArray->Add(tower);
   }
-
-
-
-
 }
 
Index: modules/Calorimeter.h
===================================================================
--- modules/Calorimeter.h	(revision c04eb8ae386ce1fbdcf5d721a9566d971f11bff2)
+++ modules/Calorimeter.h	(revision 8624f5879f05a7c0dbdd06ebb0f7c194057ddc5a)
@@ -72,11 +72,11 @@
   Int_t fTowerTrackHits, fTowerPhotonHits;
 
+  Double_t fECalEnergyMin;
+  Double_t fHCalEnergyMin;
+
+  Double_t fECalSigmaMin;
+  Double_t fHCalSigmaMin;
+
   Bool_t fDitherTowerCenter;
-
-  Double_t fEcalEnergyMin;
-  Double_t fHcalEnergyMin;
-
-  Double_t fEcalSigmaMin;
-  Double_t fHcalSigmaMin;
 
   TFractionMap fFractionMap; //!